HAB_LOG_PARSER(1)

NAME
hab_log_parser - read and parse HAB audit events from NXP i.MX processors

SYNOPSIS
hab_log_parser [--sdp device | --input-bin file | --input-ascii file] [--output file] [--verbose]

NOTE
This manpage is a short description of NXP hab_log_parser. For a detailed discussion refer to the Code Signing Tool User Guide UG10106, section 5.8 for usage, and to the High Assurance Boot Version 4 API Reference Manual RM00298 section 4 for structures contained in image. The user guide and the reference manual can be obtained from www.nxp.com and is excluded from Debian for copyright reasons.

DESCRIPTION
hab_log_parser is a tool to read HAB persisntent memory dumps from OCRAM of NXP i.MX SoCs through USB or files and print the parsed HAB events.

OPTIONS

-s, --sdp device
    Select Serial Downloader Protocol (SDP) mode for download over USB. Requires specifying the device type. Can be one of imx6s, imx6dl, imx6q, imx6d, imx6qp, imx6dp, imx6sl, imx6sll, imx6sx, imx6ul, imx6ull, imx7s, imx7d, imx7ulpa7, imx7ulpm4, imx8mq, imx8mm, imx8mn, imx8mp.

-b, --input-bin file
    Read HAB4 persistent memory content dump from binary file.

-a, --input-ascii file
    Read HAB4 persistent memory content dump from ASCII file.

-o, --output file
    Specify file where to save parsed output. If not provided, logs will be printed to stdout.

-b, --verbose
    Enable verbose output.

EXAMPLES

  Parsing memory dumps
Memory dumps may for example be retrieved from u-boot console with the md.b command, or by using JTAG debubggers.

To read persistant memory from an i.MX 6s SoC over USB and save parsed logs to text file.

  hab_log_parser -s imx6s -o hab_log_parsed.txt

To read binary file containing a memory dump and save parsed logs to text file:

  hab_log_parser -b hab4_pers.bin -o hab_log_parsed.txt